000032824 - Applying latest security updates to Java 1.8 on the SecOps 1.3 UCF Services Server in RSA Archer

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000032824
Applies ToRSA Product Set: Archer
RSA Product/Service Type: SecOps,RSA Unified Collector Framework Service, RSA SecOps Watchdog Service
RSA Version/Condition: 1.3

 
IssueJava periodically requires updates to address security vulnerabilities.  
The RSA Services are configured to use very specific versions of Java and need to be reconfigured every time a new Java update is installed.
Resolution
  1. Stop the RSA SecOps Watchdog Service
  2. Stop the RSA Unified Collector Framework service
  3. Download and install Server JRE Java 1.8 (64 bit) from: http://www.oracle.com/technetwork/java/javase/downloads/index.html
  4. Run the java installer and install Java to the default location.
  5. Download the latest Java Cryptography Extension (JCE) from: http://www.oracle.com/technetwork/java/javase/downloads/index.html
  6. Extract the downloaded zip file.
  7. Move the extracted US_export_policy.jar and local_policy.jar files to the following JRE install directory: JRE_install_dir/lib/security (Overwrite the existing files)
  8. Run C:\Program Files\EMC\RSA\SA IM integration service\RSASAIMDC.exe
  9. Navigate to the "Java" tab
  10. Enter the new path of the JVM Server library jvm.dll ( ex: C:\Program Files\Java\jre1.8.0_77\bin\server\jvm.dll )
  11. Run C:\Program Files\EMC\RSA\SecOps Watchdog service\RSASecopsWatchdog.exe
  12. Navigate to the "Java" tab
  13. Enter the new path of the JVM Server library jvm.dll ( ex: C:\Program Files\Java\jre1.8.0_77\bin\server\jvm.dll )
  14. Start the RSA Unified Collector Framework Service
  15. Start the RSA SecOps Watchdog Service

Attachments

    Outcomes